Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Class MulticastRequest

    java.lang.Object
      com.sun.jini.discovery.MulticastRequest

public class MulticastRequest
extends Object

Class representing the values in a multicast request.

Since:
  2.0

Field Summary
`protected String[]` | `groups` The groups of interest.
`protected String` | `host` The client host.
`protected int` | `port` The client listen port.
`protected ServiceID[]` | `serviceIDs` The IDs of known lookup services.

Constructor Summary
`MulticastRequest(String host, int port, String[] groups, ServiceID[] serviceIDs)` Creates a new `MulticastRequest` instance containing the given values.

Method Summary
`String[]` | `getGroups()` Returns the groups targeted by the request.
`String` | `getHost()` Returns the client host name.
`int` | `getPort()` Returns the client listen port.
`ServiceID[]` | `getServiceIDs()` Returns the service IDs of known lookup services.
`String` | `toString()` Returns string representation of this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### host

    protected String host

  The client host.

### port

    protected int port

  The client listen port.

### groups

    protected String[] groups

  The groups of interest.

### serviceIDs

    protected ServiceID[] serviceIDs

  The IDs of known lookup services.

Constructor Detail

### MulticastRequest

    public MulticastRequest(String host,
                            int port,
                            String[] groups,
                            ServiceID[] serviceIDs)

  Creates a new `MulticastRequest` instance containing the given values. Arrays are copied; `null` array values are considered equivalent to empty arrays.

Parameters:
  `host` - the client host
  `port` - the client listen port
  `groups` - the groups of interest
  `serviceIDs` - the IDs of known lookup services
Throws:
  `NullPointerException` - if `host` is `null`, or if `groups` or `serviceIDs` contains `null`
  `IllegalArgumentException` - if `port` is out of range

Method Detail

### getHost

    public String getHost()

  Returns the client host name.

  Returns:
    the client host name

### getPort

    public int getPort()

  Returns the client listen port.

  Returns:
    the client listen port

### getGroups

    public String[] getGroups()

  Returns the groups targeted by the request.

  Returns:
    the groups targeted by the request

### getServiceIDs

    public ServiceID[] getServiceIDs()

  Returns the service IDs of known lookup services.

  Returns:
    the service IDs of known lookup services

### toString

    public String toString()

  Returns string representation of this request.

  Returns:
    string representation of this request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved